# $Revision: 1.13 $, $Date: 2008-01-04 01:55:17 $
Summary:	Small but quite featured IRC-bouncer
Summary(pl.UTF-8):	Mały, ale dobrze wyposażony ircowy bramkarz
Name:		miau
Version:	0.6.5
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://dl.sourceforge.net/miau/%{name}-%{version}.tar.bz2
# Source0-md5:	cbce4182d66430a965a5fff26738ce3f
URL:		http://miau.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Miau is small but quite featured IRC-bouncer - a service a bit like
HTTP-proxy, but for IRC-networks.

The biggest difference of miau and HTTP-proxy (forgetting the fact
they talk all different protocols) is that when IRC-client disconnects
from bouncer, the connection to the server isn't necessarily lost.
This way your nick can stay online and cannot be taken by the others.
In case bouncer loses the nick because of netsplit or other
disruption, it can try to get it back automatically.

Some people may also like the fact that when using bouncer, your
hostname appearing in IRC is the one of the machine the bouncer is
running at, not the one you are IRCing from.

%description -l pl.UTF-8
Miau jest małym, lecz dobrze wyposażonym ircowym bramkarzem - usługą
podobną do proxy HTTP, ale do sieci IRC.

Największa różnica między proxy HTTP a miau (pomijając fakt, że to
zupełnie inne protokoły) to nietracenie połączenia do serwera po
odłączeniu się klienta od bramkarza. W ten sposób pseudonim dalej
istnieje na serwerze i nie może być zajęty przez inne osoby. W
przypadku stracenia pseudonimu przy netsplicie lub innych
zakłóceniach, miau będzie automatycznie próbował go odzyskać.

Niektórym może się również spodobać, że nazwa hosta pojawiająca się na
ircu nie jest nazwą maszyny z której się łączą, lecz nazwą maszyny na
której uruchomiony został bramkarz.

%prep
%setup -q

%build
%configure \
	--enable-dccbounce \
	--enable-automode \
	--enable-releasenick \
	--enable-ctcp-replies \
	--enable-mkpasswd \
	--enable-uptime \
	--enable-chanlog \
	--enable-privlog \
	--enable-onconnect \
	--enable-empty-awaymsg
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_docdir}/miau/examples/miaurc
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO misc/miaurc
%attr(755,root,root) %{_bindir}/*
%{_infodir}/*.info*
%{_mandir}/man1/miau.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: miau.spec,v $
Revision 1.13  2008-01-04 01:55:17  zbyniu
- up to 0.6.5

Revision 1.12  2007-05-11 12:26:21  vip
- up to 0.6.4

Revision 1.11  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.9  2006/07/28 12:50:54  qboosh
- _infodir macro

Revision 1.8  2006/07/28 12:43:05  glen
- check-files cleanup

Revision 1.7  2006/07/28 12:21:30  vip
- up to 0.6.2

Revision 1.6  2006/01/05 01:45:21  wolf
- 0.6.0.2

Revision 1.5  2005/12/23 13:39:58  wolf
- 0.6.0

Revision 1.4  2005/07/17 21:19:31  qboosh
- don't assume gzipped manuals

Revision 1.3  2005/07/17 20:34:43  blekot
- up to 0.5.4
- more files (man pages)

Revision 1.2  2004/06/26 11:37:32  qboosh
- typo, added URL, unified Source0 URL

Revision 1.1  2004/06/25 19:05:39  wolf
- bleble
